Failed to install Ubuntu 14.04.1 LTS on Dell C6220

Bug #1370368 reported by Kaya LIU on 2014-09-17
30
This bug affects 5 people
Affects Status Importance Assigned to Milestone
grub-installer (Ubuntu)
Critical
Unassigned

Bug Description

We failed to install Ubuntu 14.04.1 LTS on Dell C6220 when enabling RAID 1 with the default shipped Intel 602 chips for two SSD drives.

The symptom is:
1. the RAID is detected as software raid e.g. /md126 /md127 etc.
2. After installing the grub and reboot the system, the system can't be booted up. It only prompts an "-" on the screen and nothing else.

The first guess is that the driver for intel 602 is not loaded in the boot image.

Thank you for taking the time to report this bug and helping to make Ubuntu better. It seems that your bug report is not filed about a specific source package though, rather it is just filed against Ubuntu in general. It is important that bug reports be filed about source packages so that people interested in the package can find the bugs about it. You can find some hints about determining what package your bug might be about at https://wiki.ubuntu.com/Bugs/FindRightPackage. You might also ask for help in the #ubuntu-bugs irc channel on Freenode.

To change the source package that this bug is filed about visit https://bugs.launchpad.net/ubuntu/+bug/1370368/+editstatus and add the package name in the text box next to the word Package.

[This is an automated message. I apologize if it reached you inappropriately; please just reply to this message indicating so.]

tags: added: bot-comment
Dave Chiluk (chiluk) wrote :

1. Intel chipset raid is a type of software raid so it being detected as an md device is expected.
2. Does the machine get to the grub menu?
3. How did you partition the Raid 1?
4. What did you select for the grub install device?

tags: added: ua
Mark W Wenning (mwenning) wrote :

I tried it here on a C6220 in the Dell lab and found the same thing. The tar'ed var/log dir is attached.

Notes:

## BIOS boot, not UEFI
## ubuntu-14.04.1-server-amd64.iso -> usb disk
## Add a second disk to array, hit ctl-I on way up and set up RAID1 array
## - exit, status of RAID1 disk is "Rebuild"
## Trusty Server install disk finds the raid 1 and seems to ask the right questions.
## Nope. fails to boot. ctl-alt-delete, reboot
## f11 to boot to usb drive (note: raid1 comes up with "degraded" status)
walk thru standard stuff (keyboard, network, hostname, login, encrypt home?, ntp, etc) until:
One or more drives containing MDADM containers (Intel/DDF RAID) have been found.
Do you wish to acivate these RAID devices?
## say yes
ne or more drives containing Serial ATA RAID configurations have been found.
Do you wish to acivate these RAID devices?
## say yes
## partitioner will come up with guided - use entire disk and set up LVM

https://help.ubuntu.com/12.04/serverguide/advanced-installation.html
## select Manual, follow above directions, still will not boot into hd
## at some point it asks where to install grub, select default
grub-install /dev/md126p1

## reboot, hangs, doesn't even seem to get to grub

Steve Langasek (vorlon) on 2014-09-19
affects: ubuntu → debian-installer (Ubuntu)
Steve Langasek (vorlon) wrote :

/var/log/installer/syslog shows:

Sep 17 22:19:09 grub-installer: info: Installing grub on '/dev/md126p1'
Sep 17 22:19:09 grub-installer: info: Running chroot /target grub-install --force "/dev/md126p1"
Sep 17 22:19:09 grub-installer: Installing for i386-pc platform.
Sep 17 22:19:21 grub-installer: grub-install: warning: File system `ext2' doesn't support embedding.
Sep 17 22:19:21 grub-installer: grub-install: warning: Embedding is not possible. GRUB can only be installed in this setup by using blocklists. However, blocklists are UNRELIABLE and their use is discouraged..
Sep 17 22:19:21 grub-installer: Installation finished. No error reported.
Sep 17 22:19:21 grub-installer: info: grub-install ran successfully

So it appears grub has been installed to the first partition. Does this partition show as bootable in the partition table?

Normally I would expect grub to be installed to the MBR, not to the first partition. Was this the result of a deliberate selection, or was this automatic?

(/var/log/installer/cdebconf/questions.dat:
Name: grub-installer/bootdev
Template: grub-installer/bootdev
Value: /dev/md126p1
Owners: grub-installer
)

Steve Langasek (vorlon) wrote :

Colin, can you please have a look at this next week? I'm sure you have a much better idea than I do what's going on here with grub.

Changed in debian-installer (Ubuntu):
assignee: nobody → Colin Watson (cjwatson)
Colin Watson (cjwatson) on 2014-09-19
affects: debian-installer (Ubuntu) → grub-installer (Ubuntu)
Colin Watson (cjwatson) wrote :

It seems likely that installing to /dev/md126p1 rather than /dev/md126 is the problem here. I've uploaded a fix for that. I'm flying blind here, though, so I would really appreciate testing of the next daily build of utopic (http://cdimage.ubuntu.com/ubuntu-server/daily/current/ should update tomorrow). If that works then I should be able to backport this to trusty.

Changed in grub-installer (Ubuntu):
status: New → Fix Committed
importance: Undecided → High
importance: High → Critical
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package grub-installer - 1.78ubuntu22

---------------
grub-installer (1.78ubuntu22) utopic; urgency=medium

  * Handle partitioned /dev/mdNNN devices, installing to the corresponding
    disk instead (LP: #1370368).
 -- Colin Watson <email address hidden> Fri, 26 Sep 2014 15:50:41 +0100

Changed in grub-installer (Ubuntu):
status: Fix Committed → Fix Released
julian wang (zeratul-j) on 2014-10-01
Changed in grub-installer (Ubuntu):
status: Fix Released → Confirmed
Alex Kang (thkang0) wrote :

This is the problem which failed booting after installation as below

Near the end of the installation, default location of grub-installation is /dev/md127p1.

and I changed default to /dev/md/Volume0_0

After that, it doesn't have a problem to boot and no '_' prompot.

Ante Karamatić (ivoks) on 2014-10-15
tags: added: cts
Colin Watson (cjwatson) on 2014-12-18
Changed in grub-installer (Ubuntu):
assignee: Colin Watson (cjwatson) → nobody

There is similar problem when enabling raid1 after installation, I create array, add both discs, RAID1 seems OK, I change fstab to UUID of RAID1 and voila: It doesn't boot, only black screen with "-" and I have md0 and md0p2 devices.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers